import { IService } from "../Service";
import { StatsSink } from "../stats";
export interface SyncServiceConfig {
    dataPath?: string;
    publicKeyPath?: string;
    listenAddress?: string;
    listenPort?: number;
    label?: string;
    logLevel?: "all" | "trace" | "debug" | "detail" | "info" | "warn" | "error" | "fatal" | "off";
    featureToken?: string;
    enableDownloadLogCompaction?: boolean;
    maxDownloadSize?: number;
    historyTtl?: number;
    historyCompactionInterval?: number;
    enableLogCompaction?: boolean;
    shouldCompactRealmsAtStart?: boolean;
    shouldPerformPartialSyncAtStart?: boolean;
    enableRealmStateSizeReporting?: boolean;
    skipVerifyRealmsAtStart?: boolean;
    disablePrecheckInChildProc?: boolean;
    verifyRealmsAtStart?: boolean;
    runPrecheckInChildProcess?: boolean;
    maxFilesInCache?: number;
    maxUploadBacklog?: number;
    enableDownloadBootstrapCache?: boolean;
    disablePartialSyncCompleter?: boolean;
}
export declare class SyncService implements IService {
    private readonly config;
    readonly tags: string[];
    stats: StatsSink;
    private logger;
    private syncServer;
    private statsdSocket;
    private statsdToStatsSink;
    private statsdToMetricsRealm;
    constructor(config?: SyncServiceConfig);
    private setLogger;
    private start;
    private stop;
    private address;
}
