import { RealmFactory } from "../RealmFactory";
import { Logger } from "../shared/Logger";
import { SyncClient } from "../service-clients/SyncClient";
export interface HooverConfig {
    intervalSeconds: number;
    realmFactory: RealmFactory;
    logger: Logger;
    getSyncClient: (tags: string[]) => SyncClient;
}
export declare class RealmHoover {
    private timer;
    private adminRealmPromise;
    private logger;
    private interval;
    private getSyncClient;
    constructor({ intervalSeconds, realmFactory, logger, getSyncClient }: HooverConfig);
    stop(): Promise<void>;
    private runVacuum;
    private getRealmToVacuum;
    private shouldRun;
}
